AutoCAD Civil 3D :: How To Set Coordinates And To Turn Visibility Off
Jul 23, 2013
I'm just looking for some basic information about geo-markers and am having a hard time finding anything. What exactly is the geo-marker, and what is it used for? Is it important to have referenced? I know how to set the coordinates and to turn the visibility off. I'm just wanting info about what the geo-marker is, and it's uses.
i am trying to translate a Point coordinates from Paperspce to world coordinates in model space.The code i used in Land2006 worked OK but now in Civil3d 2012 it doesn't!
Private Sub GetPlais_Click() Dim tmpnt1 As Variant, tmpnt2 As Variant, tmpPnt1 As Variant Dim lole(0 To 2) As Double, upri(0 To 2) As Double Dim returnobj As AcadObject
FrmGrid3.Hide On Error GoTo Eline ThisDrawing.Utility.GetEntity returnobj, tmpPnt1, "ÅðÝëåîå ôï ViewPort ðïõ èá äçìéïõñãçèåß ï êÜíáâïò!" If TypeOf returnobj Is IAcadPViewport Then [code]........
The attached part has multiple holes in multiple locations...... I want to show in the .idw one set "row" around the circumference at a time.
So I want to show set one, how far in from the end of the tube, then how many and at what degrees around the 360*. to do this i can only suppress the other features right now.
so when I make another View those same parts are suppressed and i cant change it around otherwise it messes with the holes I want and don't want to show in the previous view.
Somehow my top level assembly shows the UCS triads for hundreads of my parts (but not all of them). I know I didn't turn the visibility of all these UCS triads on manually. Now I cannot get them to turn off.
When I toggle the visibility status of a few and save the file they come back when the file is reopened.
Note, they are NOT visibile in their respective part files, just in my top level assembly.
In Inventor dwgs when I turn the visibility of the harness assembly off (the icon turns gray) the harness still remains visible in the View on the dwg. My co-worker is having the same problem. This is happening on several different inventor dwgs where the harness is not visible (the visibility is turned off) but once an edit is made to the assembly (such as making a part visible) the harness becomes visible even the the visibility is turned off in that View. I don't know if this is related to the recent installation of service pack 4 for inventor 2010 as this problem recently began occurring.
It happens sometimes, when I try to turn off the visibility of a part in a created view, the option is grayed out, can't uncheck visibility. Whats the reason?
I have three sketches. Two are 2D sketches and the third is a 3D sketch created by the intersection of two surfaces created from the previous two 2D sketches. The order of the browser is as follows:
Sketch1 Sketch2
Revolution (surface) Extrusion (surface)
3D Sketch 1
When I go back to edit Sketch 2, Sketch 1 is always showing...regardless of whether or not I turn on/off visibility. The visibility toggle has no effect. Sketch 2 has no projected geometry from Sketch 1.
I have an assembly that was generated by Pro/E. It opens fine, but there are roughly 1000+ planes that are all visible. Is there a way to easily shut these all off whithout having to do it in each part?
At my company when producing drawings for manufacture we require a sheet for any steel profiles to be cut!..We do this by selecting the assembly from base view,hitting model view tab, selecting presentation and choosing the relevant profile from the drop down!
Once the profile is placed, we highlight the view and hit the parts list tab which obviously creates a parts list, but for the whole assembly, we then have to edit the parts list by turning off the visibility of the lines of all the parts which are not relevant!!...as you can imagine this is quite a laborious task if you have 50 different profiles.
The reason for this is to show the qty, steel grade and part number to the suppliers. My question is, any code that will take the lines of the parts list that are not relevant to the selected view and turn the visibility of those lines off?
I've managed to cobble this code together to turn some sketch visibilities on and off. However, what I'd really like to do is have a single sketch containing some blocks, and turn the visibility of the blocks on and off... How to call the blocks -
'Iterate through the sketches collection'Turn the edging indicators On And Off For Each oSketch In oDoc.ComponentDefinition.Sketches Select Case oSketch.NameCase "Front Edged"If E01 = True Then oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Top Edged"If E02 = True Then oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Back Edged"If E03 = True Then oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Base Edged"If E04 = True Then oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfEnd SelectNext
Since changing to Inventor I seem to be unable to turn off visibility of parts in assemblies on a drawing. Usually I just expand the view in the browser then right click on parts and turn off visibility. When I try this the visibility option is grey.
It's 2012. I haven't found a setting in the dim style or the RMB options to turn off the extension line. I saw the posts showing drawing a sketch in the view but come on, all that to just turn off the line?
Ive got like 300 layers, one of them being my main picture...this layer is all the way up in my list. When Im working on the bottom layers, I Have to scroll AAAAALLL the way up to turn on/off the visibility for that layer.. Is there a way to do this without scrolling up or down all the time?
I'm using BIMLink to adjust parameters in a model... If a dimension ends up being zero, is there a way for me to have conditional formatting to turn off visibility of a dimension with a zero value?
I am trying to tag doors in a drawing. What I want to see is the door size, so I turn on 'width' parameter, and turn visibility off on the border of the text. Change the size of the text to match, easy enough. Now I want to place the text along the open door in the floor plan view, but the tag always jumps to the center of the door frame. Can this be modified to do as I want? is there an alignment parameter I can alter? Perhaps tagging the door family and aligning it in the family editor? Does Revit is capable of doing this. Until then, I have to place the text for each individual door.
I am realtively good with actionscript, so I am trying my hand at this to streamline our image exporting process. I am using CS5 on a PC.
We build our illustrator files to be a combination of different layers. Sometimes just one layer is exported at a time, and sometimes layers are combined to form a more complex image. We use layer names with instructions of what layers should be on and off.
An example of the layer naming might look like this:
03 (01-ON, 02-OFF) 02 (01-OFF) 01
I have been able to figure out how to check if there is a note to turn a layer on, my question is how do I select the layer to turn on the visibility without using the exact name of the layer?
In my example, when layer 3 gets exported, it should have layer "01" visible and layer "02 (01-OFF)" not visible. Since our files are always constructed differently (meaning 02 might not always have a note about 01 being off), I can't use the getByName option because I don't have an exact name to call the layer and turn the visibility on. The layers always start with 01, 02, 03, etc. Is there a way to use getByName and only have it look at the first 2 characters of the layer name?
I just installed Creative Suite CS6 and in Photoshop, when I use the move tool a small popup window shows the mouse coordinates. I can't see any option to turn this off, either in the Options bar or the Preferences.
I have a lack of expierence in using visibility checks. I created road profile , now i would like to check the visibility of it. Cuz my profile have hills , and the car driver must see other objects in the road . His sight in front should be 400 meters , eyes height 1 meter and the target in 400 distance should be seen by 1 meter tall.
I have GeoPDF that I can't attach properly to drawing in Civil 3D. So with Global Mapper I exported it to geo-referenced ECW. I checked ECW in Global Mapper and ArcMap, everything just fine.
However when I did mapiinsert in Civil 3D, image appeared with shifted coordinates. The original coordinate system is BC/Albers and coordinate grid is Lat/ Longs.
I'm doing a road project. i've got profile grades of existing left and right ditches. in some sections we're redoing the ditches so i've got proposed left and right ditch profiles. what i want to show is where i've got proposed ditch grades, i don't want to show existing ditch grades.
The new ditches happen intermittently on the road so i would need to be able to turn off the existing ditches at various places. is this possible without exploding my existing ditch grades?
Every time I attach an XREF file, the xref drawing is shaded and is very difficult to see. Having looked through a good deal of the COMMANDS & properties trying to make Xref's more visible, without binding them into my original drawing.
i have a point file specifically a PNEZD file. when i import points into the survey database the coordinate in the database is correct but the coordinate on the drawing tends to be 5 feet off one way and 1 foot off the other. When I import point through the points pull-down menu the coordinates are correctly shown. When I import point into survey database from drawing the coordinate is incorrect in the database but correct on screen.